Download it now!
Bug 60416 - UI: Page selection context with contextual toolbar
Summary: UI: Page selection context with contextual toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Joey Andres
URL:
Whiteboard: BSA
Keywords: needsUXEval
Depends on:
Blocks: Toolbars Page
  Show dependency treegraph
 
Reported: 2013-02-07 11:52 UTC by Tin Man
Modified: 2017-05-28 11:19 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
What a selected page might look like (70.56 KB, image/png)
2013-02-07 11:52 UTC, Tin Man
Details
What hovering over a page's margins or shadow might look like (77.52 KB, image/png)
2013-02-15 12:14 UTC, Tin Man
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tin Man 2013-02-07 11:52:12 UTC
Created attachment 74335 [details]
What a selected page might look like

Allow users to select a page by clicking in its margins, on its border, or on its shadow. Selecting a page would show a Page toolbar containing commands related to the page (Style, Format, etc.) in place of the Formatting toolbar. Deselecting a page would involve clicking within a page or clicking outside its shadow.

Reasoning: The idea is to allow users to discover page-related formatting options (natural mapping) and change them efficiently, without having to wade through the Page formatting dialog. It would also reduce the need to go through the menubar and eliminate the need to have the page style shown in the status bar.
Operating System: All
Version: 4.1.0.0.alpha0+ Master
Comment 1 Rainer Bielefeld Retired 2013-02-07 12:16:36 UTC
Seems we have 2 requests here:

a) "Contribute 'Page Style Toolbar' with similar functions as 'Format Page' dialog'
b) Allow activating 'Page Style Toolbar' by mouse click on  page margins, on page border or on its shadow
Comment 2 Tin Man 2013-02-15 12:14:01 UTC
Created attachment 74868 [details]
What hovering over a page's margins or shadow might look like
Comment 3 bfoman (inactive) 2013-05-21 08:07:46 UTC
Mockups delivered so marking as NEW.

@reporter:
If you think that the way it works should be changed, consider contacting UI experts available at libreoffice-ux-advise@lists.freedesktop.org.
Also please try to file separate reports for every bug/enhancement request. It will help in development.
Comment 4 Joey Andres 2015-11-18 03:32:41 UTC
This is gonna be my first contribution so it might take a while.
Comment 5 Yousuf Philips (jay) (retired) 2017-05-20 23:13:20 UTC
I believe the sidebar page deck (bug 83830) is now a simple means to modify the page properties without entering the page dialog, so i would be infavour of closing this.

@Heiko, @Stuart, @Cor: What's your opinion?

@Maxim: Would it even be easy to provide this contextual behaviour by "clicking in its margins, on its border, or on its shadow".
Comment 6 Cor Nouws 2017-05-21 13:40:49 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> I believe the sidebar page deck (bug 83830) is now a simple means to modify
> the page properties without entering the page dialog, so i would be infavour
> of closing this.
> 
> @Heiko, @Stuart, @Cor: What's your opinion?

Agree with that.

  Side note: looking at the panel page properties, I think it could be improved if the label on top would be "Page style <name>"
(which doesn't always fit ;) )
Comment 7 Heiko Tietze 2017-05-28 11:19:40 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> I believe the sidebar page deck (bug 83830) is now a simple means to modify
> the page properties without entering the page dialog, so i would be infavour
> of closing this.

Yes, fixed. 

Side note: Wouldn't have done that as page settings are so seldom changed that a dialog is a perfect instrument to adjust the properties. Neither the toolbar as requested here nor the sidebar, which is half-contextually, are needed IMHO.